Skip to content
Back to top
View this page
Edit this page

# Quick start

## Setup an XMPP server component

matridge uses the Jabber Component Protocol to connect to an XMPP server. matridge itself needs to have a JID without a local part, such as `matrix.example.org`. In a typical deployment, matridge runs on the same host as the XMPP server and connects to it via `localhost`. This requires adequate configuration of the XMPP server, and depends on the XMPP server software you are using.

This documentation explains how to do that for prosody and ejabberd. It might be outdated and you may want to check the official, up-to-date documentation of the XMPP server you are using. If you know how to set up slidge with other XMPP servers, please contribute to the docs. ;-)

### Prosŏdy

Add a component block below the appropriate virtualhost in `prosody.cfg.lua`

    Component "matrix.example.org"
      component_secret = "some-secret-string"

### ejabberd

    listen:
      -
        ip: 127.0.0.1
        port: 5347
        module: ejabberd_service
        hosts:
          matrix.example.org:
            password: some-secret-string

## Launch the daemon

Start matridge with:

    matridge \
      --jid matrix.example.org \
      --secret some-secret-string \
      --home-dir /somewhere/writable

## Next steps

Next, you probably want to set up attachments to support bridging files from Matrix to XMPP.